Class | TkScale
In: | tk/lib/tk/scale.rb
Parent: | TkWindow

### Methods

command configure configure_cmd coords get identify set value value=

### Constants

TkCommandNames | = | ['scale'.freeze].freeze
WidgetClassName | = | 'Scale'.freeze

### Public Instance methods

command(cmd=Proc.new)

[Source]

    # File tk/lib/tk/scale.rb, line 58
      def command(cmd=Proc.new)
        configure('command'=>cmd)
      end

configure(slot, value=None)

[Source]

    # File tk/lib/tk/scale.rb, line 47
      def configure(slot, value=None)
        if (slot == 'command' || slot == :command)
          configure('command'=>value)
        elsif slot.kind_of?(Hash) &&
            (slot.key?('command') || slot.key?(:command))
          slot = _symbolkey2str(slot)
          slot['command'] = _wrap_command_arg(slot.delete('command'))
        end
        super(slot, value)
      end

configure_cmd(slot, value)

[Source]

    # File tk/lib/tk/scale.rb, line 43
      def configure_cmd(slot, value)
        configure(slot=>value)
      end

coords(val=None)

[Source]

    # File tk/lib/tk/scale.rb, line 66
      def coords(val=None)
        tk_split_list(tk_send_without_enc('coords', val))
      end

get(x=None, y=None)

[Source]

    # File tk/lib/tk/scale.rb, line 62
      def get(x=None, y=None)
        number(tk_send_without_enc('get', x, y))
      end

identify(x, y)

[Source]

    # File tk/lib/tk/scale.rb, line 70
      def identify(x, y)
        tk_send_without_enc('identify', x, y)
      end

set(val)

[Source]

    # File tk/lib/tk/scale.rb, line 74
      def set(val)
        tk_send_without_enc('set', val)
      end

value()

[Source]

    # File tk/lib/tk/scale.rb, line 78
      def value
        get
      end

value=(val)

[Source]

    # File tk/lib/tk/scale.rb, line 82
      def value= (val)
        set(val)
        val
      end

[Validate]